Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005326 [JEDI VCL] 03 Donations feature N/A 2010-09-08 16:59 2012-02-29 16:53
Reporter gwark View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005326: Inverted gradient progressbar feature
Description I'd like to contribute a new "inverted" property to the JvGradientProgressBar.
See the attached file.
I hope one can review and maby commit it to the trunk. Thanks.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvProgressBar.pas [^] (20,590 bytes) 2010-09-08 16:59
? file icon Inverted_JvGradientProgressBar.patch [^] (5,636 bytes) 2010-09-10 22:24
jpg file icon Inverted_JvGradientProgressBar.jpg [^] (4,203 bytes) 2010-09-10 22:25
? file icon JvGradientProgressBar_v2.patch [^] (6,420 bytes) 2010-09-10 22:49

- Relationships

-  Notes
(0017662)
gwark (reporter)
2010-09-10 22:27

I've added a patch, patched against https://jcl.svn.sourceforge.net:443/svnroot/jvcl/trunk [^] revision 12842 (current latest).
And preview jpg.
(0017664)
gwark (reporter)
2010-09-10 22:51

I yet noticed a small conflict-bug with the base class. Fixed it in a new patchfile JvGradientProgressBar_v2.patch. Please use this one instead of the other file.
(0017835)
obones (administrator)
2010-10-08 16:34

Thanks, this will be looked at
(0018175)
AHUser (developer)
2010-11-27 12:33

Added to TJvGradientProgressBar in svn revision 12902.

- Issue History
Date Modified Username Field Change
2010-09-08 16:59 gwark New Issue
2010-09-08 16:59 gwark File Added: JvProgressBar.pas
2010-09-10 22:24 gwark File Added: Inverted_JvGradientProgressBar.patch
2010-09-10 22:25 gwark File Added: Inverted_JvGradientProgressBar.jpg
2010-09-10 22:27 gwark Note Added: 0017662
2010-09-10 22:49 gwark File Added: JvGradientProgressBar_v2.patch
2010-09-10 22:51 gwark Note Added: 0017664
2010-10-08 16:34 obones Note Added: 0017835
2010-10-08 16:34 obones Status new => acknowledged
2010-11-27 12:33 AHUser Note Added: 0018175
2010-11-27 12:33 AHUser Status acknowledged => resolved
2010-11-27 12:33 AHUser Fixed in Version => Daily / SVN
2010-11-27 12:33 AHUser Resolution open => fixed
2010-11-27 12:33 AHUser Assigned To => AHUser
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker